name: USB-A-2.0_RECEPTACLE_C42428
description: USB 2.0 standard-A receptacle, surface mount
datasheet: https://datasheet.lcsc.com/lcsc/2102261733_Jing-Extension-of-the-Electronic-Co--912-121A2023S10100_C42428.pdf
keywords: connector, USB
# LCSC C42428 and C42425

pinout:
  USB:
    VBUS: 1
    D-: 2
    D+: 3
    GND: 4
  SHELL:
    SHIELD: 5

properties:
  power: VBUS
  ground: GND
  bidir: D-, D+
  passive: SHIELD

schematic:
  symbol: connector
  right: USB
  bottom: SHELL

housing:
  pattern: custom
  bodyWidth: 13.10
  bodyLength: 10.6
  height: 5.7

  # signal pins
  padWidth: 1.0
  padHeight: 1.5
  padPosition: -3.5, -6.05, -1.0, -6.05, 1.0, -6.05, 3.5, -6.05 # y: 10.6/2 + 1.5/2 = 6.05

  # shell tabs
  numbers1: 5, 5
  slotWidth1: 0.6
  slotHeight1: 1.6
  padWidth1: 1.6
  padHeight1: 2.6
  padPosition1: -6.4, 1.49, 6.4, 1.49 # y: pad + 7.54
